Loading...
Searching...
No Matches
Opm::Properties::Detail::GetPropImpl< TypeTag, Property > Struct Template Reference

helper struct to extract get the Property specilization given a TypeTag, asserts that the property is defined More...

`#include <propertysystem.hh>`

## Public Types

using | tuple = typename Detail::GetDefinedSplice<TypeTag, std::tuple<TypeTag>>::type
using | type

## Detailed Description

template<class TypeTag, template< class, class > class Property>
struct Opm::Properties::Detail::GetPropImpl< TypeTag, Property >

helper struct to extract get the Property specilization given a TypeTag, asserts that the property is defined

## Member Typedef Documentation

## type

template<class TypeTag, template< class, class > class Property>

using Opm::Properties::Detail::GetPropImpl< TypeTag, Property >::type

Initial value:
typename Detail::GetDefined<TypeTag,
Property,
ConCatTuples<std::tuple<TypeTag>, tuple>
>::type
Opm::Properties::Detail::ConCatTuples
decltype(std::tuple_cat(std::declval< Tuples >()...)) ConCatTuples
helper alias to concatenate multiple tuples
Definition propertysystem.hh:71
Opm::Properties::Detail::GetDefined
helper struct to get the first property that is defined in the TypeTag hierarchy
Definition propertysystem.hh:75

The documentation for this struct was generated from the following file:

- opm/models/utils/propertysystem.hh